Event wire
curl --request GET \
--url https://www.prometheus.services/api/v1/events/wire \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/events/wire"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/events/wire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"headlines": [
{
"id": 126308,
"headline": "eBay receives acquisition proposal from GameStop",
"eventFamily": "mna",
"eventDate": "2026-05-04",
"filingDate": "2026-05-05",
"cik": "0001065088",
"ticker": "EBAY",
"companyName": "EBAY INC",
"accessionNumber": "0001552781-26-000302",
"itemCode": "7.01"
},
{
"id": 129185,
"headline": "CoreWeave Compute Acquisition Co. VIII, LLC enters into $8.5B credit agreement",
"eventFamily": "mna",
"eventDate": "2026-03-30",
"filingDate": "2026-03-31",
"cik": "0001769628",
"ticker": "CRWV",
"companyName": "CoreWeave, Inc.",
"accessionNumber": "0001769628-26-000129",
"itemCode": "1.01"
},
{
"id": 124863,
"headline": "EOG Resources acquires Encino Acquisition Partners for $5.6B",
"eventFamily": "mna",
"eventDate": "2025-08-01",
"filingDate": "2025-08-01",
"cik": "0000821189",
"ticker": "EOG",
"companyName": "EOG RESOURCES INC",
"accessionNumber": "0000821189-25-000041",
"itemCode": "2.01"
}
],
"total": 180,
"limit": 5,
"offset": 0
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}8-K Events
Event wire
Searchable headline wire of 8-K events.
GET
/
api
/
v1
/
events
/
wire
Event wire
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Query Parameters
Full-text query.
Comma-separated families.
YYYY-MM-DD.
YYYY-MM-DD.
newest or oldest.
Available options:
newest, oldest Page size.
Offset.
1 to include per-family totals.
Response
OK
The response is of type object.
⌘I